Standard Public Cloud Co - Create
The Create operation requires a JSON body, but the Swagger does not mark individual body properties as required. The lookup calls below help you find Azure values for that body; the Swagger does not require that you retrieve a technical VPN ID before creating a connector.
1. Retrieve Azure Credentials Id
GET https://ope-obs.apibackbone.orange.com/evolutionplatform/azure/api/v1/projects/{projectId}/azure/credentials?limit=20&offset=0
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| project | path | true | string | The project identifier which uniquely identify your project in Evolution Platform. |
| limit | query | false | integer | The limit query parameter specifies the number of resources that a single response page contains. |
| offset | query | false | integer | The offset query parameter is used to exclude from a response the first N items of a resource collection. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK | Credentials | Successful operation |
| Other Status Codes | Error response | Error response describing why the operation failed. |
Response body example
[
{
"id": "b1c3d7b8-f249-4a25-9f26-02682bbad4f3",
"projectId": "{projectId}",
"name": "Azure_Credential_1",
"csp": "AZURE",
"description": "My Azure credentials 1",
"projectName": "MyAzureProjectName 1",
"expirationDate": "YYYY-MM-DD"
},
{
"id": "a2b3d7b8-f249-4a25-9f26-02682bbad4f3",
"projectId": "{projectId}",
"name": "Azure_Credential_2",
"csp": "AZURE",
"description": "My Azure credentials 2",
"projectName": "MyAzureProjectName 2",
"expirationDate": "YYYY-MM-DD"
}
]
{azureCredentialId} is associated to one of the "id" field inside list of the Azure Credential of the response.
Example : {azureCredentialId} = "b1c3d7b8-f249-4a25-9f26-02682bbad4f3"
2. Retrieve the Azure Region
GET https://ope-obs.apibackbone.orange.com/evolutionplatform/azure/api/v1/projects/{projectId}/azure/regions?azureCspCredentialId={azureCredentialId}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| project | path | true | string | The project identifier which uniquely identify your project in Evolution Platform. |
| azureCredential | query | true | string | The Azure Credential Identifier which uniquely identify your credentials in Evolution Platform. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK | Region | Successful operation |
| Other Status Codes | Error response | Error response describing why the operation failed. |
Response body example
[
{
"name": "asia",
"displayName": "Asia"
},
{
"name": "asiapacific",
"displayName": "Asia Pacific"
},
{
"name": "australia",
"displayName": "Australia"
},
{
"name": "australiacentral",
"displayName": "Australia Central"
},
{
"name": "northeurope",
"displayName": "North Europe"
},
...
]
The value of the name field in the Azure Region list of the response is linked to the {azureRegion}.
Example : {azureRegion} = "northeurope"
3. Retrieve the Azure resource group
GET https://ope-obs.apibackbone.orange.com/evolutionplatform/azure/api/v1/projects/{projectId}/azure/resourcegroups?azureCspCredentialId={azureCredentialId}&azureRegion={azureRegion}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| project | path | true | string | The project identifier which uniquely identify your project in Evolution Platform. |
| azureCredential | query | true | string | The Azure Credential Identifier which uniquely identify your credentials in Evolution Platform. |
| azureRegion | query | true | string | The Azure Region Identifier which uniquely identify the Azure Region in Evolution Platform and was retrieved in a previous step. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK | Resource Group | Successful operation |
| Other Status Codes | Error response | Error response describing why the operation failed. |
Response body example
[
{
"name": "rg-1",
"location": "northeurope"
},
{
"name": "rg-2",
"location": "northeurope"
},
{
"name": "rg-3",
"location": "northeurope"
},
{
"name": "rg-4",
"location": "northeurope"
}
]
The value of the name field in the Azure Resource Group list of the response is linked to the {azureResourceGroup}.
Example : {azureResourceGroup} = "rg-3"
4. Retrieve the Azure Virtual Network
GET https://ope-obs.apibackbone.orange.com/evolutionplatform/azure/api/v1/projects/{projectId}/azure/vnets?azureCspCredentialId={azureCredentialId}&azureResourceGroup={azureResourceGroup}
This Azure CC endpoint requires the credential ID and resource group name as query parameters. It returns VNet records; use the name of the selected virtual network as vnetName in the connector request.
5. Retrieve Azure locations
GET https://ope-obs.apibackbone.orange.com/evolutionplatform/azure/api/v1/projects/{projectId}/azure/locations?azureCspCredentialId={azureCredentialId}
The Swagger requires projectId and azureCspCredentialId and defines the success response as an array of strings. Use a location returned by this endpoint for primaryPopLocalization; the Swagger does not include example location values.
6. Create the cloud connector
POST https://ope-obs.apibackbone.orange.com/evolutionplatform/azure/api/v1/projects/{projectId}/azure/cloudconnectors/publicstandarddynamics
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| project | path | true | string | The project identifier which uniquely identify your project in Evolution Platform. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| name | false | string | Cloud connector name. |
| state | false | string | Cloud connector state. Allowed values: DESIGNING, DESIGNED, BOOKING, RESERVED, PROVISIONING, ACTIVE, STOPPING, SUSPENDING, INACTIVE, REPAIRING, TERMINATED, ERROR. |
| technicalVpn | false | string (UUID) | Identifier of the network connector. |
| azureCredential | false | string (UUID) | Identifier of the Azure credential used to manage the connector in Azure. |
| customerPurchase | false | string | Customer purchase order number. |
| externalBilling | false | string | External billing reference. |
| bandwidth | false | integer (int32) | Cloud connector bandwidth. |
| maxBandwidth | false | integer (int32) | Maximum cloud connector bandwidth. |
| primaryPop | false | string | Primary point-of-presence localization. |
| azureRegion | false | string | Azure region. |
| resourceGroup | false | string | Azure resource group name. |
| vnetName | false | string | Virtual network name. |
| azureGateway | false | string | Azure gateway subnet. |
| azureAsn | false | integer (int64) | Azure autonomous system number. |
| networkSide | false | integer (int64) | Network-side autonomous system number. |
| networkSide | false | string | Network-side gateway subnet. |
Responses
| Name | Type | Description |
|---|---|---|
| 201 Created | Cloud connector | Create successful. The operation returns the resulting resource. |
| Other Status Codes | Error response | Error response describing why the operation failed. |
Response content
| Name | Type | Description |
|---|---|---|
| id | string (UUID) | Cloud connector identifier. |
| name | string | Cloud connector name. |
| state | string | Connector state: DESIGNING, DESIGNED, BOOKING, RESERVED, PROVISIONING, ACTIVE, STOPPING, SUSPENDING, INACTIVE, REPAIRING, TERMINATED, or ERROR. |
| projectId | string (UUID) | Identifier of the owning project. |
| bandwidth | integer (int32) | Cloud connector bandwidth. |
| maxBandwidth | integer (int32) | Maximum cloud connector bandwidth. |
| technicalVpn | string (UUID) | Associated network connector identifier. |
| azureCredential | string (UUID) | Azure credential identifier. |
| azureRegion | string | Azure region. |
| resourceGroup | string | Azure resource group name. |
| workflowExecution | string (UUID) | Most recent workflow execution identifier. |
| workflowExecution | string | Workflow status: CREATED, IN_PROGRESS, SUCCEEDED, FAILED, or CLEARED. |
| operationalStatus | string | Operational status: N/A, Up, Down, or Unknown. |
| lastTimeOperational | string (date-time) | Time when the operational status was last known. |
| customerPurchase | string | Customer purchase order number. |
| externalBilling | string | External billing reference. |
| primaryPop | string | Primary point-of-presence localization. |
| vnetName | string | Virtual network name. |
| azureGateway | string | Azure gateway subnet. |
| azureAsn | integer (int64) | Azure autonomous system number. |
| networkSide | integer (int64) | Network-side autonomous system number. |
| networkSide | string | Network-side gateway subnet. |
Security
Type: HTTP Bearer
Token format: JWT
Header: Authorization: Bearer YOUR_ACCESS_TOKEN
Example : create connector in active mode
Request
POST https://ope-obs.apibackbone.orange.com/evolutionplatform/azure/api/v1/projects/{projectId}/azure/cloudconnectors/publicstandarddynamics
{
"name": "Connection to PARIS",
"azureCredentialId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"azureRegion": "northeurope",
"resourceGroupName": "rg-3",
"vnetName": "vnet-02",
"primaryPopLocalization": "YOUR_RETURNED_AZURE_LOCATION",
"bandwidth": 50,
"azureAsn": 64512,
"networkSideAsn": 64513,
"networkSideGatewaySubnet":"59.23.124.12/29",
"azureGatewaySubnet":"69.45.47.145/27",
"state":"ACTIVE"
}
Response
HTTP 201
Content: application/json
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Connection to PARIS",
"state": "PROVISIONING",
"projectId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"bandwidth": 50,
"technicalVpnId": "93b22b3c-fd7e-4c04-87cb-52df45fe6beb",
"azureCredentialId": "b1c3d7b8-f249-4a25-9f26-02682bbad4f3",
"primaryPopLocalization": "YOUR_RETURNED_AZURE_LOCATION",
"azureRegion": "northeurope",
"resourceGroupName": "rg-3",
"vnetName": "vnet-02",
"azureGatewaySubnet": "69.45.47.145/27",
"azureAsn": 64512,
"networkSideAsn": 64513,
"networkSideGatewaySubnet": "59.23.124.12/29",
"workflowExecutionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflowExecutionStatus": "CREATED"
}
The response includes the connector state. The Swagger lists the allowed values but does not specify when the state changes during provisioning.
Go to Get tutorial to check the status of the cloud connector:
Example : create connector in designed mode
Request
POST https://ope-obs.apibackbone.orange.com/evolutionplatform/azure/api/v1/projects/{projectId}/azure/cloudconnectors/publicstandarddynamics
{
"name": "Connection to PARIS",
"azureCredentialId": "b1c3d7b8-f249-4a25-9f26-02682bbad4f3",
"azureRegion": "northeurope",
"resourceGroupName": "rg-3",
"vnetName": "vnet-02",
"primaryPopLocalization": "YOUR_RETURNED_AZURE_LOCATION",
"bandwidth": 50,
"azureAsn": 64512,
"networkSideAsn": 64513,
"networkSideGatewaySubnet":"59.23.124.12/29",
"azureGatewaySubnet":"69.45.47.145/27",
"state":"DESIGNED"
}
Response
HTTP 201
Content: application/json
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Connection to PARIS",
"state": "DESIGNING",
"projectId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"bandwidth": 50,
"technicalVpnId": "93b22b3c-fd7e-4c04-87cb-52df45fe6beb",
"azureCredentialId": "b1c3d7b8-f249-4a25-9f26-02682bbad4f3",
"primaryPopLocalization": "YOUR_RETURNED_AZURE_LOCATION",
"azureRegion": "northeurope",
"resourceGroupName": "rg-3",
"vnetName": "vnet-02",
"azureGatewaySubnet": "69.45.47.145/27",
"azureAsn": 64512,
"networkSideAsn": 64513,
"networkSideGatewaySubnet": "59.23.124.12/29",
"workflowExecutionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflowExecutionStatus": "CREATED"
}
The field state will be DESIGNING during the creation phase, when the cloud connector is ready the state will be DESIGNED.
Go to Get tutorial to check the status of the cloud connector: